API referenceEndpoints

Attach MCP server

Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/connections/inbound/http_mcp.go`.

POST/v1/mcp-servers/{id}/attach

Requires an authenticated tenant principal. Generated from the production route registered in internal/features/connections/inbound/http_mcp.go.

Authorization

bearerAuth
AuthorizationBearer <token>

Engine-issued API key or tenant-signed JWT.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/mcp-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/attach" \  -H "Content-Type: application/json" \  -d '{}'
{}